TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.actions.modules.listActions("id", {
page: 1,
per_page: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.actions.modules.listActions("id", {
page: 1,
per_page: 1,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.GetActionModuleActionsRequestParameters{
Page: management.Int(
1,
),
PerPage: management.Int(
1,
),
}
mgmt.Actions.Modules.ListActions(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 actions modules actions list id --jsonusing Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Actions.Modules.ListActionsAsync(
id: "id",
request: new GetActionModuleActionsRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.actions.types.GetActionModuleActionsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.actions().modules().listActions(
"id",
GetActionModuleActionsRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Actions\Modules\Requests\GetActionModuleActionsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->actions->modules->listActions(
'id',
new GetActionModuleActionsRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.actions.modules.list_actions(
id="id",
page=1,
per_page=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.actions.modules.list_actions(
id: "id",
page: 1,
per_page: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/actions/modules/{id}/actions \
--header 'Authorization: Bearer <token>'{
"actions": [
{
"action_id": "<string>",
"action_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123,
"supported_triggers": [
{
"id": "post-login",
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"id": "post-login",
"version": "<string>"
}
],
"binding_policy": "trigger-bound"
}
]
}
],
"total": 123,
"page": 123,
"per_page": 123
}List all actions using an Actions Module
Lists all actions that are using a specific Actions Module, showing which deployed action versions reference this Actions Module.
GET
https://{tenantDomain}/api/v2
/
actions
/
modules
/
{id}
/
actions
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.actions.modules.listActions("id", {
page: 1,
per_page: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.actions.modules.listActions("id", {
page: 1,
per_page: 1,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.GetActionModuleActionsRequestParameters{
Page: management.Int(
1,
),
PerPage: management.Int(
1,
),
}
mgmt.Actions.Modules.ListActions(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 actions modules actions list id --jsonusing Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Actions.Modules.ListActionsAsync(
id: "id",
request: new GetActionModuleActionsRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.actions.types.GetActionModuleActionsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.actions().modules().listActions(
"id",
GetActionModuleActionsRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Actions\Modules\Requests\GetActionModuleActionsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->actions->modules->listActions(
'id',
new GetActionModuleActionsRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.actions.modules.list_actions(
id="id",
page=1,
per_page=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.actions.modules.list_actions(
id: "id",
page: 1,
per_page: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/actions/modules/{id}/actions \
--header 'Authorization: Bearer <token>'{
"actions": [
{
"action_id": "<string>",
"action_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123,
"supported_triggers": [
{
"id": "post-login",
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"id": "post-login",
"version": "<string>"
}
],
"binding_policy": "trigger-bound"
}
]
}
],
"total": 123,
"page": 123,
"per_page": 123
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique ID of the module.
Query Parameters
Page index of the results to return. First page is 0.
Number of results per page.